Module java.desktop
Package javax.swing.plaf.metal

## Class MetalFileChooserUI.SingleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.metal.MetalFileChooserUI.SingleClickListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    MetalFileChooserUI

      @Deprecated(since="9")
      protected class MetalFileChooserUI.SingleClickListener
      extends MouseAdapter

  Deprecated.
  As of JDK version 9. Obsolete class.
  Obsolete class, not used in this version.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleClickListener​(JList<?> list)` | Deprecated. Constructs an instance of `SingleClickListener`.

  - ### Method Summary

    - ### Methods declared in class java.awt.event.MouseAdapter

      `mouseDragged, mouseMoved, mouseWheelMoved`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

- - ### Constructor Detail

    - #### SingleClickListener

          public SingleClickListener​(JList<?> list)

      Deprecated.
      Constructs an instance of `SingleClickListener`.
      Parameters:
        `list` - an instance of `JList`